phpinfo.ini und open_basedir Problemme

  • moin moin @ all ich habe mal jetz die PHP directive unterm augenschein genommen und muss festellen egal was mann einstehlt im webinterface es wird nicht übernommen deshalb habe ich es manuel in der /var/www/fcgi/xxx.de/php5/php.ini


    gemacht auch dort wird es nicht übernommen deswegen jetz meine frage an euch ist das ein Bug oder kommt es von mir.




    Jetz zum Problem 2


    Ich benutze in mein acp das Programm phpSysInfo zu finden hier http://phpsysinfo.sourceforge.net/ und das problemm ist das dort jetz infos zum server nicht angezeigt werden mache ich aber so open_basedir = "" anstatt so open_basedir = "/var/www/virtual/xxx.de:/usr/share/php"
    werden teilweise server infos zum systen angezeigt also wie könnten mann die regel anders machen damit semtliche daten von server angezeigt werden und ohne das ich open_basdir raus nehmen muss.währe für jede hilfe dankbar

    my System :



    - Distribution: Debian | Release: 9.8 | Codename: wheezy
    - i-MSCP Version: i-MSCP 1.5.3| Build: 20181208 | Codename: Ennio Morricone
    - Plugins installed: ClamAV (v. 1.2.1), Mailgraph (v 1.1.1), OpenDKIM (v 1.1.3), PanelRedirect (v 1.1.5) & SpamAssassin (v 1.1.1)
    - LetsEncrypt (v3.3.0), PhpSwitcher (v 4.0.1), RoundcubePlugins (v 2.0.1)


    https://www.4sync.com/web/r/dwMJ2VT4

    Edited once, last by Speddy ().

  • ich habe von Frank aka Bandy das sicherheits script laufen und der hatt ne verlinkung in acp gemacht so das im acp der aufruf zum verzeichnis ist mit sprachvariablen und templates.



    siehe datei anhang.



    und dies wird halt blockiert durch open base dir aber nehme ich das raus wird mir aber denn noch nicht alles angezeigt da muss noch was sein.

    Files

    my System :



    - Distribution: Debian | Release: 9.8 | Codename: wheezy
    - i-MSCP Version: i-MSCP 1.5.3| Build: 20181208 | Codename: Ennio Morricone
    - Plugins installed: ClamAV (v. 1.2.1), Mailgraph (v 1.1.1), OpenDKIM (v 1.1.3), PanelRedirect (v 1.1.5) & SpamAssassin (v 1.1.1)
    - LetsEncrypt (v3.3.0), PhpSwitcher (v 4.0.1), RoundcubePlugins (v 2.0.1)


    https://www.4sync.com/web/r/dwMJ2VT4

  • Also, ich habe mal alle directiven getestet grad. Wird eigentlich alles übernommen, was ich einstelle.


    Hast Du exec noch in disabled fuctions drin? Wenn ja, machs mal raus und apache restart



    Offtopic:
    Btw: das security System ist absoluter Mist und nicht mehr Zeitgemäss. Wenn ich deine Seite über iPhone aufrufe, werde ich geblockt, weil Mobile Provider IP's immer auf der Blacklust stehen. ;)


    Nicht sehr Benutzerfreundlich.

    Edited once, last by xorg ().

  • ich habe alles aus geschaltet bis auf 1 da kommt sons immer ne fehlermeldung sonst undzwar dieses hier.

    Files

    • imscp1.JPG

      (65.6 kB, downloaded 92 times, last: )
    • imscp2.JPG

      (20.71 kB, downloaded 75 times, last: )

    my System :



    - Distribution: Debian | Release: 9.8 | Codename: wheezy
    - i-MSCP Version: i-MSCP 1.5.3| Build: 20181208 | Codename: Ennio Morricone
    - Plugins installed: ClamAV (v. 1.2.1), Mailgraph (v 1.1.1), OpenDKIM (v 1.1.3), PanelRedirect (v 1.1.5) & SpamAssassin (v 1.1.1)
    - LetsEncrypt (v3.3.0), PhpSwitcher (v 4.0.1), RoundcubePlugins (v 2.0.1)


    https://www.4sync.com/web/r/dwMJ2VT4


  • Normal sollte exec reichen. Shell Dinge würde ich weiter verbieten.


    Ich komm leider nicht auf die Seite vom hersteller, da ich geblockt werde.


    teste noch mal ich habe dich mal hinzu gefügt in denn ip ausnahmen und host.

    my System :



    - Distribution: Debian | Release: 9.8 | Codename: wheezy
    - i-MSCP Version: i-MSCP 1.5.3| Build: 20181208 | Codename: Ennio Morricone
    - Plugins installed: ClamAV (v. 1.2.1), Mailgraph (v 1.1.1), OpenDKIM (v 1.1.3), PanelRedirect (v 1.1.5) & SpamAssassin (v 1.1.1)
    - LetsEncrypt (v3.3.0), PhpSwitcher (v 4.0.1), RoundcubePlugins (v 2.0.1)


    https://www.4sync.com/web/r/dwMJ2VT4

  • ne geht trotzdem nicht so ich werde es heute arbend noch mal testen denn ich muss mich fertig machen habe naher noch ein termin.

    my System :



    - Distribution: Debian | Release: 9.8 | Codename: wheezy
    - i-MSCP Version: i-MSCP 1.5.3| Build: 20181208 | Codename: Ennio Morricone
    - Plugins installed: ClamAV (v. 1.2.1), Mailgraph (v 1.1.1), OpenDKIM (v 1.1.3), PanelRedirect (v 1.1.5) & SpamAssassin (v 1.1.1)
    - LetsEncrypt (v3.3.0), PhpSwitcher (v 4.0.1), RoundcubePlugins (v 2.0.1)


    https://www.4sync.com/web/r/dwMJ2VT4